Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.marshal.encryption
Class EncryptionManager

    java.lang.Object
      org.jboss.remoting.marshal.encryption.EncryptionManager

    public class EncryptionManager

extends java.lang.Object

Manager that deals with the generation of the Cipher Mode: ECB: Electronic Codebook Mode (NIST FIPS PUB 81) CBC: Cipher Block Chaining Mode(NIST FIPS PUB 81) PCBC: Plaintext Cipher Block Chaining (Kerberos) CFB: Cipher Feedback Mode (NIST FIPS PUB 81) OFB: Output Feedback Mode (NIST FIPS PUB 81) Padding: NoPadding: No padding. PKCS5Padding: RSA, "PKCS #5: Password-Based Encryption Standard," version 1.5, Nov 1993.

Since:
  Aug 11, 2006
Version:
  $Revision: 1398 $
Author:
  Anil Saldhana

Field Summary
`static java.lang.String` | `AES`
`static java.lang.String` | `BLOWFISH`
`static java.lang.String` | `DEFAULT_CIPHER_ALGORITHM`
`static java.lang.String` | `DES`
`static java.lang.String` | `RC4`
`static java.lang.String` | `TRIPLEDES`

Constructor Summary
`EncryptionManager()`

Method Summary
`static javax.crypto.Cipher` | `getCipher(int mode, java.lang.String algo)` Generate a Cipher
`static javax.crypto.Cipher` | `getCipher(int mode, java.lang.String algo, java.security.Key key)` Obtain an initialized cipher given the Cipher mode, algorithm and key

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRIPLEDES

    public static final java.lang.String TRIPLEDES

See Also:
  Constant Field Values

### DES

    public static final java.lang.String DES

See Also:
  Constant Field Values

### AES

    public static final java.lang.String AES

See Also:
  Constant Field Values

### BLOWFISH

    public static final java.lang.String BLOWFISH

See Also:
  Constant Field Values

### RC4

    public static final java.lang.String RC4

See Also:
  Constant Field Values

### DEFAULT_CIPHER_ALGORITHM

    public static final java.lang.String DEFAULT_CIPHER_ALGORITHM

See Also:
  Constant Field Values

Constructor Detail

### EncryptionManager

    public EncryptionManager()

Method Detail

### getCipher

    public static javax.crypto.Cipher getCipher(int mode,
                                                java.lang.String algo)

  Generate a Cipher

  Parameters:
    `mode` - Cipher.ENCRYPT_MODE or Cipher.DECRYPT_MODE (Wrap/Unwrap not supported)
    `algo` - Cipher Algorithm
  Returns:
    cipher

### getCipher

    public static javax.crypto.Cipher getCipher(int mode,
                                                java.lang.String algo,
                                                java.security.Key key)

  Obtain an initialized cipher given the Cipher mode, algorithm and key

  Parameters:
    `mode` - Cipher.ENCRYPT_MODE or Cipher.DECRYPT_MODE
    `algo` -
    `key` -
  Returns:
    initialized cipher

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.